//---------------------------------------------------------------------------

#ifndef PGPnymsWinsH
#define PGPnymsWinsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>

#include "pgpsdk.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

void __fastcall OpenNymserverPGPKeyring(TForm *Owner, const AnsiString &pgpPublicRing,
   const AnsiString &nymNlistTxt);

class TPGPnymsWin : public TForm
{
__published:	// IDE-managed Components
        TCoolBar *CoolBar;
        TToolBar *ToolBar1;
        TToolButton *OkBtn;
        TPanel *Panel1;
        TStatusBar *StatusBar;
        TToolButton *TB3;
        TToolButton *ToolButton3;
        TToolButton *ToolButton4;
        TToolButton *ToolButton5;
        TToolButton *ToolButton6;
        TToolButton *ToolButton7;
        TToolButton *ToolButton8;
        TToolButton *ToolButton9;
        TImageList *ImageList1;
        TImageList *ImageList2;
        TListView *ListView;
        TMainMenu *MainMenu;
        TMenuItem *FileMenu;
        TMenuItem *FileSaveItem;
        TMenuItem *N2;
        TMenuItem *FileExitItem;
        TMenuItem *EditMenu;
        TMenuItem *EditCopyItem;
        TMenuItem *EditPasteItem;
        TMenuItem *EditDeleteItem;
        TMenuItem *N7;
        TMenuItem *EditSelectAllItem;
        TMenuItem *ViewMenu;
        TMenuItem *ViewToolBarItem;
        TMenuItem *ViewStatusBarItem;
        TMenuItem *ViewCheckBoxesItem;
        TMenuItem *ViewBarredRemailersItem;
        TMenuItem *N4;
        TMenuItem *N3;
        TMenuItem *ViewRefreshItem;
        TMenuItem *KeysMenu;
        TMenuItem *KeysImportItem;
        TMenuItem *KeysExportItem;
        TMenuItem *RemailersMenu;
        TMenuItem *RemailersCfgRequestItem;
        TMenuItem *N5;
        TMenuItem *RemailersUnbarItem;
        TMenuItem *RemailersBarItem;
        TMenuItem *ToolsMenu;
        TMenuItem *ToolsOptionsItem;
        TMenuItem *HelpMenu;
        TMenuItem *QuickStart1;
        TMenuItem *MenuItem1;
        TMenuItem *HelpAboutItem;
        TLabel *Label1;
        TMenuItem *Source1;
        TMenuItem *Historytxt1;
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall ListViewData(TObject *Sender, TListItem *Item);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ListViewAdvancedCustomDrawItem(
          TCustomListView *Sender, TListItem *Item, TCustomDrawState State,
          TCustomDrawStage Stage, bool &DefaultDraw);
        void __fastcall Source1Click(TObject *Sender);
        void __fastcall StatusBarResize(TObject *Sender);
        void __fastcall Historytxt1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
       TPGPsdk *PGP;
       TStringList *Keys, *Rlist;
       bool ExpertMode, RemailerKeys;
       AnsiString WinPosOrg, pgpPublicRing, pgpSecretRing, remRlistTxt, inisection;
        __fastcall virtual TPGPnymsWin(TComponent* Owner);
        __fastcall virtual TPGPnymsWin(TComponent* Owner, const AnsiString &pgpPubRing,
           const AnsiString &NlistTxt);
        void __fastcall LoadNlist();
        AnsiString __fastcall LookupNlist(AnsiString key);

        __fastcall virtual ~TPGPnymsWin();
        void __fastcall GetKeyStrings(const AnsiString &pubRing, const AnsiString &secRing,
           TStrings *Lines);
        void __fastcall LoadIniStuff(TIniFile *ini);
        void __fastcall LoadKeys();
};

//---------------------------------------------------------------------------
extern PACKAGE TPGPnymsWin *PGPnymsWin;
//---------------------------------------------------------------------------
#endif
